// Copyright (c) 2023 ETH Zurich.
//                    All rights reserved.
//
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
//
// main author: Robert Gerstenberger

#ifndef __NOD_VERTEX_H
#define __NOD_VERTEX_H

#define NOD_OFFSET_NUM_BLOCKS             0
#define NOD_OFFSET_NUM_LIGHTWEIGHT_EDGES  (NOD_OFFSET_NUM_BLOCKS+4)
#define NOD_OFFSET_SIZE_PROPERTY_DATA     (NOD_OFFSET_NUM_LIGHTWEIGHT_EDGES+4)
#define NOD_OFFSET_SIZE_UNUSED_SPACE      (NOD_OFFSET_SIZE_PROPERTY_DATA+8)

/**
  should be 24 Bytes
 */
#define NOD_VERTEX_METADATA_SIZE          (NOD_OFFSET_SIZE_UNUSED_SPACE+8)

void NOD_AssociateVertex( GDI_Vertex_uid internal_uid, GDI_Transaction transaction, GDI_VertexHolder vertex );

#endif // #ifndef __NOD_VERTEX_H
